Name:           virtme
Version:        0.0.2
Release:        1%{?dist}
Summary:        Virtualize the running distro or a simple rootfs

License:        GPLv2
URL:            https://git.kernel.org/cgit/utils/kernel/virtme/virtme.git/
Source0:        https://www.kernel.org/pub/linux/utils/kernel/virtme/releases/%{name}-%{version}.tar

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools

Requires:       python3-setuptools

# The description notwithstanding, virtme really does require virtme-guest.
Requires:       %{name}-guest = %{version}-%{release}

# Intentionally does not require qemu, since virtme can work with
# a number of qemu-system-arch packages.

%description
Virtme is a set of simple tools to run a virtualized Linux kernel that
uses the host Linux distribution or a simple rootfs instead of a whole
disk image.


%package guest
Summary:        Tools to help a guest system be hosted by virtme
Requires:       busybox util-linux iproute

%description guest
Virtme can use an initramfs to bootstrap most Linux root filesystems.
However, this approach is inefficient and problematic for
cross-architecture emulation.  Installing virtme-guest into a rootfs
allows virtme to run it directly, leading to simpler and more reliable
virtualization/emulation.


%prep
%setup -q


%build
# If this ever adds C code, CFLAGS will be needed here.
%{__python3} setup.py build


%check
%{__python3} setup.py test


%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc README.md LICENSE
# For noarch packages: sitelib
%{python3_sitelib}/*
%{_bindir}/virtme-run
%{_bindir}/virtme-configkernel


%files guest
%doc LICENSE
%{_datadir}/virtme-guest-0


%changelog
* Tue Dec 23 2014 Andy Lutomirski <luto@mit.edu> - 0.0.2-1
- New upstream version.

* Sun Sep  7 2014 Andy Lutomirski <luto@mit.edu> - 0.0.1-1
- New package.
